Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 6487)
+++ trunk/expressoMail1_2/index.php	(revision 6528)
@@ -38,6 +38,11 @@
 		<script src="../prototype/plugins/farbtastic/farbtastic.js" language="javascript"></script>
 		<script src="../prototype/api/datalayer.js" language="javascript"></script>					
+		<script src="../prototype/api/rest.js" language="javascript"></script>					
 		<script type="text/javascript" src="../prototype/plugins/scrollto/jquery.scrollTo.js"></script>
-		<script language="javascript">DataLayer.dispatchPath = "../prototype/";</script>					
+		<script language="javascript">
+			DataLayer.dispatchPath = "../prototype/";
+			REST.dispatchPath = "../prototype/";
+			REST.load("");
+		</script>					
 		<script src="../library/ckeditor/ckeditor.js" language="javascript" charset="utf-8"></script> 
 		<script src="../library/ckeditor/adapters/jquery.js" language="javascript"></script> 
@@ -56,4 +61,5 @@
 		<script type="text/javascript" src="../prototype/plugins/datejs/sugarpak.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/datejs/parser.js"></script>
+		<script type="text/javascript" src="../prototype/plugins/jq-raty/js/jquery.raty.min.js"></script>
 
 		<script type="text/javascript" src="../prototype/plugins/watermark/jquery.watermarkinput.js"></script>
@@ -71,8 +77,8 @@
 		<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.date.js"></script>
 		<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.codecs.js"></script>
-		
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/freeow/style/freeow/freeow.css" >
 		<script type="text/javascript" src="../prototype/plugins/freeow/jquery.freeow.min.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/freeow/jquery.freeow.js"></script>
+
 
 		<script src="js/rich_text_editor.js" type="text/javascript"></script>
@@ -197,4 +203,5 @@
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['telephone_number'] = $GLOBALS['phpgw_info']['user']['telephonenumber'];
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_cache'] = $current_config['expressoMail_enable_cache'];
+	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['expressoMail_ldap_identifier_recipient'] = $current_config['expressoMail_ldap_identifier_recipient'];
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_x_origin'] = $current_config['expressoMail_use_x_origin'];
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['number_of_contacts'] = $current_config['expressoMail_Number_of_dynamic_contacts'] ? $current_config['expressoMail_Number_of_dynamic_contacts'] : "0";
@@ -218,5 +225,4 @@
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['auto_create_local'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_create_local'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_create_local'] : "0";
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] : "0";
-
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] : 1;
 	// 	ACL for block edit Personal Data.
@@ -277,5 +283,6 @@
     $_SESSION['phpgw_info']['server']['expressomail']['expressoMail_use_spam_filter'] = $current_config['expressoMail_use_spam_filter'];   
     echo '<script> var use_spam_filter = \''.$current_config['expressoMail_use_spam_filter'].'\'
-           var sieve_forward_domains = \''.$current_config['expressoMail_sieve_forward_domains'].'\' </script>';
+           var sieve_forward_domains = \''.$current_config['expressoMail_sieve_forward_domains'].'\' 
+		  </script>';
 	// End Set Anti-Spam options.
 
